import bpy
import os.path
import io_scene_x3d.import_x3d
import io_scene_obj.export_obj

filePath = "C:/VRML/"
fileName = "run_"
fileExt = ".obj"
counter = 1

def fileList(path):
    for dirpath, dirnames, filenames in os.walk(path):
        for filename in filenames:
            yield os.path.join(dirpath, filename)

for f in fileList(filePath):
    if f.lower().endswith(".wrl"):
        io_scene_x3d.import_x3d.load(bpy.ops, bpy.context, f)
        io_scene_obj.export_obj.save(bpy.ops, bpy.context, filePath + fileName + str(counter) + fileExt, use_triangles=True, use_edges=True, use_normals=False, use_uvs=True, use_materials=False, use_mesh_modifiers=True, use_blen_objects=False, group_by_object=False, group_by_material=False, keep_vertex_order=False, use_vertex_groups=False, use_nurbs=False, use_selection=False, use_animation=False, global_matrix=None, path_mode='AUTO')
        objects = bpy.data.scenes[0].objects
        for obj in objects:
            bpy.data.scenes[0].objects.unlink(obj)
        counter += 1